Loading...
Searching...
No Matches
WGPURenderPassDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE char const * | label
size_t | colorAttachmentCount
WGPURenderPassColorAttachment const * | colorAttachments
WGPU_NULLABLE WGPURenderPassDepthStencilAttachment const * | depthStencilAttachment
WGPU_NULLABLE WGPUQuerySet | occlusionQuerySet
WGPU_NULLABLE WGPURenderPassTimestampWrites const * | timestampWrites

## Detailed Description

Definition at line 1984 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPURenderPassDescriptor::nextInChain

Definition at line 1985 of file mini_webgpu.h.

## label

WGPU_NULLABLE char const* WGPURenderPassDescriptor::label

Definition at line 1986 of file mini_webgpu.h.

## colorAttachmentCount

size_t WGPURenderPassDescriptor::colorAttachmentCount

Definition at line 1987 of file mini_webgpu.h.

## colorAttachments

WGPURenderPassColorAttachment const* WGPURenderPassDescriptor::colorAttachments

Definition at line 1988 of file mini_webgpu.h.

## depthStencilAttachment

WGPU_NULLABLE WGPURenderPassDepthStencilAttachment const* WGPURenderPassDescriptor::depthStencilAttachment

Definition at line 1989 of file mini_webgpu.h.

## occlusionQuerySet

WGPU_NULLABLE WGPUQuerySet WGPURenderPassDescriptor::occlusionQuerySet

Definition at line 1990 of file mini_webgpu.h.

## timestampWrites

WGPU_NULLABLE WGPURenderPassTimestampWrites const* WGPURenderPassDescriptor::timestampWrites

Definition at line 1991 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h